package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.GajiPokokService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.GajiPokok;
import com.jasamedika.medifirst2000.vo.GajiPokokVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.GajiPokokDao;

/**
 * Implement class for GajiPokokService
 * 
 * @author Generator
 * @param <T>
 */
@Service("gajiPokokService")
public class GajiPokokServiceImpl extends BaseVoServiceImpl implements GajiPokokService 
{	
	@Autowired
	private BaseConverterImpl<GajiPokokVO,GajiPokok>gajiPokokConverter;
	
	@Autowired
	private GajiPokokDao gajiPokokDao;

	
	@Override
	public Map<String, Object> saveGajiPokok(GajiPokokVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		GajiPokok model = new GajiPokok();
		model = gajiPokokConverter.transferVOToModel(vo,model);
		

		GajiPokok resultDomain = gajiPokokDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}